Skip to main content
POST
/
api
/
external
/
v1
/
internet
/
buy
Purchase internet bundle
curl --request POST \
  --url https://api.dancity.app/api/external/v1/internet/buy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'channel: <api-key>' \
  --data '
{
  "plan": "<string>",
  "accountid": "<string>",
  "phone": "08123456789",
  "pin": "<string>",
  "customerRef": "<string>",
  "saveAsBeneficiary": true,
  "beneficiaryName": "<string>",
  "promocode": "<string>",
  "deviceKey": "<string>"
}
'
{
  "success": true,
  "message": "<string>",
  "data": "<unknown>"
}

Authorizations

Authorization
string
header
required

Merchant API key from the Dancity dashboard.

channel
string
header
required

Required on VAS (merchant /api/external/v1) requests. Use API for server integrations.

Body

application/json
plan
string
required
accountid
string
required
phone
string
required
Example:

"08123456789"

pin
string
required
Required string length: 5
customerRef
string
saveAsBeneficiary
boolean
beneficiaryName
string
promocode
string
deviceKey
string

Response

OK

success
boolean
Example:

true

message
string
data
any